## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Owns: /usr/lib/python3.10/site-packages/keyrings/__init__.py
# So keep an eye out for any other packages that may also want to owns it.

%bcond_without tests

%global _description %{expand:
Alternate keyring backend implementations for use with the keyring package.

Keyrings in this package may have security risks or other implications. These
backends were extracted from the main keyring project to make them available
for those who wish to employ them, but are discouraged for general production
use. Include this module and use its backends at your own risk.

For example, the PlaintextKeyring stores passwords in plain text on the file
system, defeating the intended purpose of this library to encourage best
practices for security.}

Name:           python-keyrings-alt
Version:        4.1.0
Release:        %{autorelease}
Summary:        Alternate keyring implementations

License:        MIT
URL:            https://pypi.org/pypi/keyrings.alt
Source0:        %{pypi_source keyrings.alt}

BuildArch:      noarch

%description %_description

%package -n python3-keyrings-alt
Summary:        %{summary}
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  gnome-keyring
%endif
# Not included in install_requires
Requires:       %{py3_dist keyring}

%description -n python3-keyrings-alt %_description

%package doc
Summary:        Documentation for %{name}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist jaraco-packaging}

%description doc
This package provides documentation for %{name}.

%prep
%autosetup -n keyrings.alt-%{version}

# Remove linters from BR
sed -i -e '/pytest-black/ d' -e '/pytest-checkdocs/ d' -e '/pytest-flake8/ d' -e '/pytest-mypy/ d' -e '/pytest-enabler/ d' setup.cfg
# Remove backports, used for Py <=3.2
sed -i -e '/backports.unittest_mock/ d' setup.cfg

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x testing}

# gdata, keyczar are Py2 only
# pyfs is included as python-fs but tests are still skipped
# Also skipped upstream though: https://github.com/jaraco/keyrings.alt/runs/3082737541?check_suite_focus=true

%build
%pyproject_wheel

# Sometimes needed so sphinx can import the module
sphinx-build-%{python3_version} docs html
rm -rf html/{.doctrees,.buildinfo} -vf

# make utf8
iconv -f iso8859-1 -t utf-8 html/objects.inv > html/objects.inv.conv && mv -f html/objects.inv.conv html/objects.inv

%install
%pyproject_install
# also takes the dist-info folder
%pyproject_save_files keyrings

%check
%if %{with tests}
%{pytest}
%endif

%files -n python3-keyrings-alt -f %{pyproject_files}
%doc README.rst

%files doc
%license LICENSE
%doc html

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 4.1.0-1
- feat: init
